package agilpizza.dao;


import static junit.framework.Assert.assertEquals;
import static junit.framework.Assert.assertNotNull;
import static junit.framework.Assert.assertNull;

import java.util.List;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import agilpizza.modelo.Ingrediente;
import agilpizza.modelo.PizzaTradicional;

public class PizzaTradicionalDAOTest {

	private static PizzaTradicionalDAO dao;
	
	@Before
	public void setUp() throws Exception {
		dao = new PizzaTradicionalDAO();
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testeInicializaPizzaTradicionalPortuguesa() {
		PizzaTradicional portuguesa = dao.buscaPizzaTradicional("Portuguesa");
		assertNotNull("Pizza Portuguesa deve existir", portuguesa);
		List<Ingrediente> ingredientes = portuguesa.getIngredientes();
		assertEquals("Número de ingredientes está errado", 6, ingredientes.size());
	}
	
	@Test
	public void testeBuscaPizzaTradicionalInexistenteRetornaNulo() {
		PizzaTradicional inexistente = dao.buscaPizzaTradicional("Marguerita");
		assertNull("Pizza não deveria existir", inexistente);
	}

	
}
